#
# Conditional build:
%bcond_with	hal		# build pmount-hal (HAL is deprecated)
#
Summary:	Programs for mounting and unmounting filesystems as normal user
Summary(pl.UTF-8):	Programy do montowania i odmontowywania systemów plików jako zwykły użytkownik
Name:		pmount
Version:	0.9.21
Release:	2
License:	GPL v2
Group:		Applications
Source0:	https://alioth.debian.org/frs/download.php/3278/%{name}-%{version}.tar.bz2
# Source0-md5:	7d29dc8101df1a3a28764d959f24893f
Patch0:		%{name}-build_fixes.patch
URL:		http://pmount.alioth.debian.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 2.52
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
%{?with_hal:BuildRequires:	hal-devel >= 0.5.2}
BuildRequires:	intltool >= 0.21
BuildRequires:	libblkid-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sysfsutils-devel >= 1.3.0-3
%{?with_hal:Requires:	hal >= 0.5.2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pmount is a wrapper around the standard mount program which permits
normal users to mount/umount removable devices without a matching
/etc/fstab entry.

%description -l pl.UTF-8
pmount jest wrapperem standardowego programu mount, który pozwala
zwykłemu użytkownikowi na montowanie/odmontowywanie urządzeń
wymiennych nie posiadających wpisu w /etc/fstab.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	%{__enable_disable hal hal}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%config(noreplace) %verify(not md5 mtime size) /etc/pmount.allow
%attr(4755,root,root) %{_bindir}/pmount
%attr(4755,root,root) %{_bindir}/pumount
%{?with_hal:%attr(755,root,root) %{_bindir}/pmount-hal}
%{_mandir}/man1/*
%changelog
* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> ac0732b
- rel 2
- no HAL

* Tue Feb 22 2011 Jan Rękorajski <baggins@pld-linux.org> fd2f1de
- kill HAL with bcond

* Wed May 19 2010 sparky <sparky@pld-linux.org> e793acf
- BR: libblkid-devel

* Sun May 09 2010 Zsolt Udvari <uzsolt@pld-linux.org> 5657985
- updated to 0.9.21

* Sun May 09 2010 Zsolt Udvari <uzsolt@pld-linux.org> aea9cab
- 0.9.21
- change URL and SOURCE

* Mon Nov 10 2008 Elan Ruusamäe <glen@pld-linux.org> 0e791ef
- rel 4 (libtoolize)

* Mon Nov 10 2008 Elan Ruusamäe <glen@pld-linux.org> 145d87e
- release 3

* Mon May 19 2008 Elan Ruusamäe <glen@pld-linux.org> 80eca9c
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 020ac9f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 251606d
- converted to UTF-8

* Wed Sep 27 2006 Robert Tomasik <rotom@pld-linux.org> 17ffe8e
- obolotes

* Wed Sep 27 2006 Robert Tomasik <rotom@pld-linux.org> 0b82b30
- updated to 0.9.13

* Sun Aug 13 2006 grzegol <grzegol@pld-linux.org> 79d5971
- fixes build with dbus-0.91

* Sun Aug 13 2006 grzegol <grzegol@pld-linux.org> ea6cb41
- added dbus patch (fixes build with dbus-0.91)

* Wed Aug 09 2006 havner <havner@pld-linux.org> 0ab79f1
- rel 2

* Wed Jun 21 2006 Karol Krenski <charles@pld-linux.org> 72350e3
- updated to 0.9.11
- BR: glib2-devel, libtool

* Mon Mar 27 2006 freetz <freetz@pld-linux.org> d5da174
- 0.9.9

* Mon Feb 27 2006 freetz <freetz@pld-linux.org> 494ae1c
- updated for 0.9.7

* Mon Feb 27 2006 freetz <freetz@pld-linux.org> 404a1a2
- 0.9.7, refresh intltool files, fully rebuild am/ac

* Fri Nov 25 2005 Marcin Gajda <m.gajda@functional-software.com> 657ba15
- rel. 2 to rebuild against changed build_fixes patch
- BR: sysfsutils-devel >= 1.3.0-3

